package org.norgg.kittelutioning.levels;
import nape.dynamics.InteractionFilter;
import nape.geom.Vec2;
import nape.shape.Polygon;
import nape.shape.Shape;
import org.norgg.kittelutioning.Entity;
import nape.phys.BodyType;

/**
 * ...
 * @author Norgg
 */

class Exit extends Entity
{

	var filter: InteractionFilter;
	
	public function new(pos, filter) 
	{
		this.filter = filter;
		super(pos, 0, BodyType.STATIC);
	}
	
	override function init() {
		super.init();
		body.setShapeFilters(filter);
		update();
	}
	
	override function shapes() {
		var shape: Shape = new Polygon(Polygon.rect(-15, -25, 30, 60));
		return [shape];
	}
	
	override function color() { return 0x00ff00; }
	
}