package org.norgg.kittelutioning.levels;

import nape.geom.Vec2;
import nape.shape.Circle;
import nape.shape.Polygon;
import nape.shape.Shape;

/**
 * ...
 * @author Norgg
 */

class Level2 extends Level
{
	public function new() 
	{
		super();
	}
	
	override function shapes() {
		var floor = [
			wall(0, 10, 8, 2), 
			wall(7, 9.5,  9, 2.5)
		];
		for (f in floor) f.userData.isGround = true;
		
		return wallsAndRoof().concat(floor);
	}
	
	override function entrance() { return new Vec2(100, 320); }
	override function exit()     { return new Vec2(650, 445); }
	override function name()     { return "A small step"; }
}