package org.norgg.kittelutioning.levels;

import nape.geom.Vec2;
import nape.shape.Circle;
import nape.shape.Polygon;
import nape.shape.Shape;

/**
 * ...
 * @author Norgg
 */

class Level3 extends Level
{
	public function new() 
	{
		super();
	}
	
	override function shapes() {
		var floor = [
			wall(0, 10, 16, 2),
			wall(3, 9.5,  15, 0.5),
			wall(4, 9,  14, 0.5),
			wall(5, 8.5,  13, 0.5),
			wall(6, 8,  12, 0.5),
			wall(7, 7.5,  11, 0.5),
			wall(8, 7,  10, 0.5),
			wall(9, 6.5,  9,  0.5)
		];
		for (f in floor) f.userData.isGround = true;
		
		return wallsAndRoof().concat(floor);
	}
	
	override function entrance() { return new Vec2(100, 220); }
	override function exit()     { return new Vec2(650, 295); }
	override function name() 	 { return "Ascension"; }
}