package org.norgg.kittelutioning.levels;

import org.norgg.kittelutioning.Main;
import nme.text.TextField;

/**
 * ...
 * @author Norgg
 */

class Loss extends Level
{
	var timer = 200;
	var message: String;
	var lossLabel: TextField;

	public function new(message = "Lost.") {
		super();
		this.message = message;
	}
	
	override function init() {
		lossLabel = new TextField();
		lossLabel.defaultTextFormat = Main.bigFont;
		lossLabel.x = 100;
		lossLabel.y = 280;
		lossLabel.text = message;
		lossLabel.selectable = false;
		lossLabel.width = 600;
		Main.stage.addChild(lossLabel);
		timer = 200;
	}
	
	override function destroy() {
		super.destroy();
		Main.stage.removeChild(lossLabel);
	}
	
	override function name() { return ""; }
	
	override function update() {
		timer--;
		if (timer <= 0) {
			Level.levelNum = 0;
			Level.next();
		}
	}
}