package org.norgg.kittelutioning.levels;

import nape.geom.Vec2;
import nape.shape.Circle;
import nape.shape.Polygon;
import nape.shape.Shape;

/**
 * ...
 * @author Norgg
 */

class Level1 extends Level
{
	public function new() 
	{
		super();
	}
	
	override function shapes() {
		var floor = wall(0, 10, 16, 2);
		floor.userData.isGround = true;
		
		return wallsAndRoof().concat([floor]);
	}
	
	override function entrance() { return new Vec2(100, 320); }
	override function exit()     { return new Vec2(650, 470); }
	override function name() 	 { return "The walking gene";}
}